Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprData Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprData:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprData:
[legend]

## Public Member Functions

| CprData (Ogawa::IGroupPtr iGroup, std::size_t iThreadId, AbcA::ArchiveReader &iArchive, const std::vector< AbcA::MetaData > &iIndexedMetaData)
size_t | getNumProperties ()
const AbcA::PropertyHeader & | getPropertyHeader (AbcA::CompoundPropertyReaderPtr iParent, size_t i)
const AbcA::PropertyHeader * | getPropertyHeader (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::ScalarPropertyReaderPtr | getScalarProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::ArrayPropertyReaderPtr | getArrayProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::CompoundPropertyReaderPtr | getCompoundProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)

The documentation for this class was generated from the following files:

- AbcCoreOgawa/CprData.h
- AbcCoreOgawa/CprData.cpp